[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TStringHelper.TrimRight

Strips a set of trim characters from the end of the string.

## Declaration

Source position: syshelph.inc line 190

`public function TStringHelper.TrimRight: string; overload; function TStringHelper.TrimRight(`
`const ATrimChars: array of Char`
`):string; overload;`

## Description

Trim returns the string (Self), removing all characters occurring in ATrimChars from the end of the string. If ATrimChars is not specified, all characters with ASCII code 32 or lower are assumed.

## See also

Trim |  | Trim whitespace from the ends of a string.
TStringHelper.Trim |  | Strips a set of trim characters from the beginning and end of the string.
TStringHelper.TrimLeft |  | Strips a set of trim characters from the beginning of the string.